const GROUP_BY: usize = 2;
pub const fn out_size(in_size: usize) -> usize {
    in_size / 2
}

pub fn run(buf: &mut [u8]) {
    let n_raw = buf.len();
    let mut in_cursor = 0;
    let mut out_cursor = 0;

    while in_cursor + GROUP_BY <= n_raw {
        buf[out_cursor] = buf[in_cursor];
        out_cursor += 1;
        in_cursor += GROUP_BY;
    }
}
